#ifndef LEPTO_PRINT_H
#define LEPTO_PRINT_H
//----------------------------------------------------------------------------
//
// \brief   functions for printing text with small footprint
//
//----------------------------------------------------------------------------


//---Includes------------------------------------------------------------------

#include <lepto/debug.h>
#include <stdio.h>


//---Declaration---------------------------------------------------------------

extern "C" {

   int bPrintf(const char *format, ...);
   int lepto_vsnprintf(char *__s, size_t __n, const char *__fmt, va_list ap);
   int lepto_vfprintf ( FILE * stream, const char * format, va_list arg );
   int lepto_snprintf(char* dest, size_t len, const char *format, ... );

   int lepto_dummy_vsnprintf(char *__s, size_t __n, const char *__fmt, va_list ap);
   int lepto_dummy_vfprintf ( FILE * stream, const char * format, va_list arg );
   int lepto_dummy_snprintf(char* dest, size_t len, const char *format, ... );

   int l_vsnprintf(char *__s, size_t __n, const char *__fmt, va_list ap);
   int l_vfprintf ( FILE * stream, const char * format, va_list arg );
}

void hexDump(const void *buf, int size, bool printHeader=true );

//---fin----------------------------------------------------------------------
#endif // ? ! LEPTO_PRINT_H
